LASi Namespace Reference

## Classes

class | oPostscriptStream
| Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument. More...
class | PostscriptDocument
| Composes Postscript document as three separate and independant streams for header, body and footer. More...
class | setFont
| stream manipulator applied to oPostscriptStream. More...
class | setFontSize
| stream manipulator applied to oPostscriptStream. More...
class | show
| stream applicator applied to oPostscriptStream. More...

## Enumerations

enum | FontStyle { NORMAL_STYLE, OBLIQUE, ITALIC }
enum | FontWeight { ULTRALIGHT, LIGHT, NORMAL_WEIGHT, BOLD, ULTRABOLD, HEAVY }
enum | FontVariant { NORMAL_VARIANT, SMALLCAPS }
enum | FontStretch { ULTRACONDENSED, EXTRACONDENSED, CONDENSED, SEMICONDENSED, NORMAL_STRETCH, SEMIEXPANDED, EXPANDED, EXTRAEXPANDED, ULTRAEXPANDED }

## Functions

template<class T >
oPostscriptStream & | operator<< (oPostscriptStream &os, T t)

## Enumeration Type Documentation

## FontStretch

enum LASi::FontStretch

Enumerator
ULTRACONDENSED |
EXTRACONDENSED |
CONDENSED |
SEMICONDENSED |
NORMAL_STRETCH |
SEMIEXPANDED |
EXPANDED |
EXTRAEXPANDED |
ULTRAEXPANDED |

## FontStyle

enum LASi::FontStyle

Enumerator
NORMAL_STYLE |
OBLIQUE |
ITALIC |

## FontVariant

enum LASi::FontVariant

Enumerator
NORMAL_VARIANT |
SMALLCAPS |

## FontWeight

enum LASi::FontWeight

Enumerator
ULTRALIGHT |
LIGHT |
NORMAL_WEIGHT |
BOLD |
ULTRABOLD |
HEAVY |

## Function Documentation

## operator<<()

template<class T >

oPostscriptStream& LASi::operator<< | ( | oPostscriptStream & | os,
|  | T | t
| ) |  |

inline